%global         debug_package %{nil}

Name:           docky
Version:        2.0.12
Release:        1%{?dist}
Summary:        Advanced shortcut bar written in Mono

Group:          Applications/File
License:        GPLv3+
URL:            http://wiki.go-docky.com
Source0:        http://launchpad.net/docky/2.0/%{version}/+download/docky-%{version}.tar.gz

# The "Icon Magnification" was removed from "Docky" due 
# to a potential violation of US Patent 7434177
Patch0:         %{name}-nozoom.patch
Patch1:         %{name}-startscript-path.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


Requires:       gnome-sharp gtk-sharp2 gnome-desktop-sharp
Requires:       gnome-keyring-sharp gtk-sharp2-gapi mono-addins
Requires:       mono-core ndesk-dbus notify-sharp gtk2
Requires:       hicolor-icon-theme
# Docky does not use gio-sharp library yet (it has its own for now)
#Requires:       gio-sharp

# sharp deps
BuildRequires:  gnome-sharp-devel gtk-sharp2-devel gnome-desktop-sharp-devel
BuildRequires:  gnome-keyring-sharp-devel gtk-sharp2-gapi mono-addins-devel
BuildRequires:  mono-devel ndesk-dbus-devel ndesk-dbus-glib-devel
BuildRequires:  notify-sharp-devel
# Docky does not use gio-sharp library yet (it has its own for now)
#BuildRequires:  gio-sharp-devel
# native deps
BuildRequires:  python2-devel
BuildRequires:  glib2-devel gtk2-devel
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x


%description
Docky is an advanced shortcut bar that sits at the bottom, top, and/or sides 
of your screen. It provides easy access to some of the files, folders, 
and applications on your computer, displays which applications are 
currently running, holds windows in their minimized state, and more.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%configure
make %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#gapi_codegen.exe is not distributed (licence is GNU GPL v2)
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/gapi_codegen*

desktop-file-install    \
        --dir $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart       \
        --add-only-show-in=GNOME                                \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# autostart is disabled by default
echo "X-GNOME-Autostart-enabled=false" >> \
    $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/%{name}.desktop

%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYRIGHT NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/gmail.png
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/applications/*.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{python_sitelib}/%{name}
%doc %{_mandir}/man1/%{name}.1*


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/docky.cairohelper.pc
%{_libdir}/pkgconfig/docky.services.pc
%{_libdir}/pkgconfig/docky.widgets.pc
%{_libdir}/pkgconfig/docky.items.pc
%{_libdir}/pkgconfig/docky.windowing.pc


%changelog
* Thu Mar 10 2011 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.12-1
- version bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.11-1
- version bump

* Mon Jan 10 2011 Dan Horák <dan[at]danny.cz> - 2.0.10-2
- updated the supported arch list

* Mon Jan 10 2011 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.10-1
- Version bump
- Man page added
- Patch for shebang not needed anymore (fixed in mainstream)

* Mon Oct 25 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.7-3
- Fixing many things reported in the bug 635450
- Licence change
- Zooming code completly removed

* Mon Oct 25 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.7-2
- Fixed requirement on mono-core

* Mon Oct 18 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.7-1
- Version bump

* Mon Sep 06 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.6-1
- Initial package
- Many fixes in spec (thank to Christian Krause)

* Mon Sep 06 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.6-1
- Initial package
